import { ViewProps, ViewStyle } from 'react-native';
import React from 'react';
export type IconProps = {
    color?: unknown;
    name: string;
    size?: number;
};
export type HudOptions = {
    backgroundColor?: string;
    borderRadius?: number;
    color?: string;
    fadeDuration?: number;
    height?: number;
    rotate?: boolean;
    rotateDuration?: number;
    width?: number;
};
type HudContextProps<P extends IconProps> = {
    hide: () => void;
    show: (iconProps: P, options?: HudOptions) => void;
};
export declare const useHudContext: <P extends IconProps>() => HudContextProps<P>;
export type HudProviderProps<P extends IconProps> = React.PropsWithChildren & {
    IconComponent: React.ComponentType<P>;
    containerStyles?: ViewStyle;
    useNativeDriver?: boolean;
} & ViewProps & HudOptions;
export declare const HudProvider: <P extends IconProps>({ IconComponent, backgroundColor, borderRadius, children, color, containerStyles, fadeDuration, height, rotate, rotateDuration, style, useNativeDriver, width, ...viewProps }: HudProviderProps<P>) => JSX.Element;
export {};
